# Created by pyp2rpm-3.3.2
%global pypi_name httpretty

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 1
Summary:        HTTP client mock for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/gabrielfalcao/HTTPretty
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# for tests
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(sure)
BuildRequires:  python3dist(rednose)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(redis)
BuildRequires:  python3dist(httplib2)
BuildRequires:  python3dist(freezegun)
BuildRequires:  python3dist(eventlet)
BuildRequires:  python3dist(coverage)

# for docs
BuildRequires:  python3dist(sphinx)

%description
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
HTTP Client mocking tool for Python. Provides a full fake TCP socket module.
Inspired by FakeWeb.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{_bindir}/nosetests-%{python3_version} -e 'test_passthrough'

%files -n python3-%{pypi_name}
%doc html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Mar 29 2020 wally <wally> 1.0.2-1.mga8
+ Revision: 1562227
- new version 1.0.2

* Sat Feb 29 2020 wally <wally> 0.9.7-1.mga8
+ Revision: 1552133
- new version 0.9.7

* Sun Feb 16 2020 umeabot <umeabot> 0.9.6-4.mga8
+ Revision: 1532757
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.9.6-3.mga8
+ Revision: 1442918
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.9.6-2.mga8
+ Revision: 1435657
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.9.6-1.mga7
+ Revision: 1394030
- imported package python-httpretty

